(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4076,        125]
NotebookOptionsPosition[      3782,        110]
NotebookOutlinePosition[      4139,        126]
CellTagsIndexPosition[      4096,        123]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pts", " ", "=", " ", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"SeedRandom", "[", "1234", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"X", " ", "=", " ", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "pts"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "pts"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HitMiss", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"X", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"Y", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "^", "2"}]}], "<", "1"}], ",", "1",
        ",", "0"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "pts"}], "}"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Hits", " ", "=", " ", 
   RowBox[{"Total", "[", "HitMiss", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ApproxPi", " ", "=", " ", 
  RowBox[{"4.0", "*", 
   RowBox[{"Hits", "/", "pts"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"AbsErr", " ", "=", " ", 
  RowBox[{"Abs", "[", 
   RowBox[{"ApproxPi", "-", "Pi"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Relerr", " ", "=", " ", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"ApproxPi", "-", "Pi"}], "]"}], "/", "Pi"}]}]}], "Input",
 CellChangeTimes->{{3.673792242670905*^9, 3.673792284347248*^9}, {
   3.67379232336555*^9, 3.6737923288904953`*^9}, {3.6737925009823427`*^9, 
   3.67379250388404*^9}, {3.673797095287875*^9, 3.67379709752873*^9}, {
   3.673798181315652*^9, 3.673798245272751*^9}, {3.6737982988191977`*^9, 
   3.673798320764164*^9}, {3.6737988777247143`*^9, 3.6737989297943277`*^9}, {
   3.673800156441544*^9, 3.673800242831442*^9}, 3.6738002832609377`*^9, {
   3.6738004914172783`*^9, 3.673800527073103*^9}, 3.673800991089242*^9, {
   3.673801166830784*^9, 3.6738011674184723`*^9}, 3.673801201825935*^9, {
   3.673889473652264*^9, 3.673889474663971*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pairs", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"X", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"Y", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "pts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Lighter", "[", "Red", "]"}], ",", 
      RowBox[{"Disk", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], "]"}], 
   ",", 
   RowBox[{"ListPlot", "[", "pairs", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.673800403849689*^9, 3.673800436154501*^9}, {
  3.673883849818885*^9, 3.673883850288569*^9}}]
},
WindowSize->{740, 567},
WindowMargins->{{Automatic, 41}, {47, Automatic}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 20, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 2343, 59, 216, "Input"],
Cell[2903, 81, 875, 27, 46, "Input"]
}
]
*)

(* End of internal cache information *)
